LibreOffice: TableChart Service Reference

LibreOffice LibreOffice 5.2 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Exported Interfaces | List of all members
TableChart Service Referencepublished

represents a chart based on data in a table or spreadsheet. More...

`import"TableChart.idl";`

Inheritance diagram for TableChart:

## Exported Interfaces
interface | com::sun::star::table::XTableChart
| provides access to the settings of this chart. More...
interface | com::sun::star::document::XEmbeddedObjectSupplier
| provides access to the chart document model. More...
interface | com::sun::star::container::XNamed
| provides methods to access the name of the chart. More...

## Additional Inherited Members
Public Member Functions inherited from XTableChart
boolean | getHasColumnHeaders ()
| returns, whether the cells of the topmost row of the source data are interpreted as column headers. More...
void | setHasColumnHeaders ([in] boolean bHasColumnHeaders)
| specifies whether the cells of the topmost row of the source data are interpreted as column headers. More...
boolean | getHasRowHeaders ()
| returns, whether the cells of the leftmost column of the source data are interpreted as row headers. More...
void | setHasRowHeaders ([in] boolean bHasRowHeaders)
| specifies whether the cells of the leftmost column of the source data are interpreted as row headers. More...
sequence< com::sun::star::table::CellRangeAddress > | getRanges ()
| returns the cell ranges that contain the data for the chart. More...
void | setRanges ([in] sequence< com::sun::star::table::CellRangeAddress > aRanges)
| sets the cell ranges that contain the data for the chart. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XEmbeddedObjectSupplier
com::sun::star::lang::XComponent | getEmbeddedObject ()
| returns the object which is embedded into this object. More...
Public Member Functions inherited from XNamed
string | getName ()
void | setName ([in] string aName)
| sets the programmatic name of the object. More...

## Detailed Description

represents a chart based on data in a table or spreadsheet.

This service does not represent the chart document model itself, but the object in the table that contains this chart document.

## Exported Interfaces

interface com::sun::star::container::XNamed

provides methods to access the name of the chart.

interface com::sun::star::document::XEmbeddedObjectSupplier

provides access to the chart document model.

See also
  com::sun::star::chart::ChartDocument

interface com::sun::star::table::XTableChart

provides access to the settings of this chart.

The documentation for this service was generated from the following file:

- com/sun/star/table/TableChart.idl